( function($) {
		function App() {
			var app = {};
			app.data={};
			app.init = function() {
				app.data.url=$('#url').text();
				app.uiInit();
				//app.oldBrowsers();
				app.menu();
				app.calendar();
			};

			app.uiInit = function() {
				/* ui */
				$("input:submit, .button, input:reset").button();
				$.datepicker.setDefaults($.datepicker.regional['ru']);
				$(".datepicker, input[name='fld_p_14']").datepicker({
					dateFormat : 'dd.mm.yy',
					firstDay : 1,
					changeYear : true,
					changeMonth : true
				});
				
			};

			app.oldBrowsers = function() {
				var msg = "<div style='display:block; position:relative; top:0px; left:0px; background:#ffffff; height:25px;'>Вы используете устаревшую версию браузера. " + "Для наиболее корректного отображения страниц сайта рекомендуется использовать следующие версии браузеров: " + "Internet Explorer v.8 и выше, Opera v.10 и выше, Google Chrome v.5 и выше, Mozilla Firefox v.4 и выше, Safari v.4 и выше" + "</div>";
				if ($.browser.msie) {
					if ($.browser.version * 1 < 8) {
						$(msg).prependTo(document.body);
					}

				}
				if ($.browser.webkit) {
					if ($.browser.version * 1 < 530) {
						$(msg).prependTo(document.body);
					}
				}
				if ($.browser.opera) {
					if ($.browser.version * 1 < 10) {
						$(msg).prependTo(document.body);
					}
				}
				if ($.browser.mozilla) {
					if ($.browser.version * 1 < 2) {
						$(msg).prependTo(document.body);
					}
				}
			};
			
			
			app.menu = function(){
				$("#vertical-menu" ).menu();
				$("#vertical-menu2" ).menu();
				$("#vertical-menu3" ).menu();
				$("#horisontal-menu").menu();
				$("#horisontal-menu").menu( "option", "position", { my: "left top", at: "left top+23" } );
				$('.ui-menu a').each(function(){
					if($(this).attr('href').indexOf(app.data.url)!==-1&&app.data.url&&app.data.url!=='welcome'){
						$(this).addClass('ui-state-current');
						$(this).parents('li').find(' > a').addClass('ui-state-current');
					}
				});
			};
			
			app.calendar = function(){
				$('#calendar').datepicker({
					dateFormat : 'dd.mm.yy',
					firstDay : 1,
					onSelect: function(date,instance){
						document.location.href='/sitesearch?dateMode=1&dateFrom='+date;
					}/*,
					beforeShowDay: function(date){
						var result=[];	
						$.ajax({
						   type: "GET",
						   url: "/sitesearch/index/json/true",
						   data: "dateMode=1&dateFrom="+date.getDate()+"."+(date.getMonth()+1)+"."+date.getFullYear(),
						   async: false,
						   dataType: "json",
						   success: function(response){
						   	console.log(response.request);
							 if(response.count){
								result[0]=true;							
								result[1]='has-materials';
								result[2]='Количество материалов: '+ response.count;
							 } else {
								result[0]=false;
							 }
						   }
						});					
						return result;			
					}*/
				});
			};
			
			return app;
		};
		$(document).ready(function() {
			var app = App();
			app.init();
		});
	}(jQuery));

function divCollapse(id) {
	$("#" + id).toggle();
	return false;
}